Name:           mu
Version:        0.2
Release:        1%{?dist}
Summary:        A simple Python editor for micro:bit
Group:          Development/Tools
License:        GPLv3
URL:            https://github.com/ntoll/mu
Source0:        http://codewith.mu/%{name}-%{version}.tar.gz
BuildRequires:  python3-devel, python3-setuptools
BuildArch:      noarch
BuildRequires:  python3-qt5
BuildRequires:  qt5-qtserialport >= 5.5.0
BuildRequires:  desktop-file-utils
Requires:       python3-qt5
Requires:       python3-qscintilla-qt5

%description
mu is a simple Python editor which targets BBC micro:bit devices.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1  --root %{buildroot}
desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/mu.desktop

%files
%doc README.rst LICENSE
%{_bindir}/mu
%{python3_sitelib}/mu*
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-usb-microbit.rules
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Apr 13 2016 Kushal Das <kushal@fedoraprojects.org> - 0.2-1
- Updates to 0.2 release

* Fri Feb 26 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-2
- Updates the desktop file creation

* Tue Feb 02 2016 Kushal Das <kushal@fedoraprojects.org> - 0.1-1
- Initial package creation
